extends GameBall


func enter_zone(zone: BallZone) -> void:
	_zones.push_back(zone)

	if zone.water_hazard:
		effects.play_splash()
		# Play effect but don't emit signal
		# Also don't play SFX -- kind of annoying tbh
